#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( dither )
add_subdirectory( dither2YUV )
add_subdirectory( sdl )
add_subdirectory( x11 )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_utilrender (library) #################

tde_add_library( mpeg_utilrender STATIC_PIC
  SOURCES
    yuvPicture.cpp imageBase.cpp
    renderMachine.cpp surface.cpp
    pictureArray.cpp
)


##### other data ################################

install(
  FILES
    yuvPicture.h pictureArray.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/util/render
)
